Uploaded image for project: 'OpenShift Request For Enhancement'
  1. OpenShift Request For Enhancement
  2. RFE-4164

Ability to alert and intervene before a possible OCP downgrade

XMLWordPrintable

    • Icon: Feature Request Feature Request
    • Resolution: Unresolved
    • Icon: Undefined Undefined
    • None
    • None
    • MCO
    • False
    • None
    • False
    • Not Selected

      1. Proposed title of this feature request

      Ability to alert and intervene before a possible OCP downgrade.

      2. What is the nature and description of the request?

      The clusterversion object was edited by one of our controllers and the previous version was patched. The clusterversion didn't have force == true set at the time and it still went through. Since downgrade is not officially supported nor recommended/tested by RedHat, although possible, there should be a failsafe for it. MCO has lots of other warnings, when e.g. operators are running in older versions, which requires setting force == true to override, so accidental downgrade should definitely be classified in the same category.

      3. Why does the customer need this? (List the business requirements here)

      Need ability/failsafe incase of cluster downgrade

      4. List any affected packages or components.

            rhn-support-mrussell Mark Russell
            rhn-support-chdeshpa Chinmay Deshpande
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Created:
              Updated: